## plasma-wallpaper-dynamic 3.3.4

=== debian/changelog ===
plasma-wallpaper-dynamic (3.3.4-0ubuntu1) groovy; urgency=medium

  * New upstream release 3.3.4
    - Minor CMakeLists fixes
  * d/copyright: Correct MIT license to Expat
  * Fix binary packages containing incorrect files (LP: #1893467)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 28 Aug 2020 11:40:56 -0700

plasma-wallpaper-dynamic (3.3.3-0ubuntu1) groovy; urgency=medium

  * Initial release.

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Tue, 04 Aug 2020 15:00:22 -0700
