## plasma-wallpaper-dynamic 3.3.5

=== debian/changelog ===
plasma-wallpaper-dynamic (3.3.5-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream release 3.3.5 (LP: #1902575)
    - Memory usage improvements for mutli-monitor setups

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 02 Nov 2020 11:00:54 -0800
