=== data/CMakeLists.txt ===
install(DIRECTORY "Dynamic Numbers" DESTINATION ${WALLPAPER_INSTALL_DIR})
