=== src/plugins/CMakeLists.txt ===
add_subdirectory(kpackage-integration)
