=== src/tools/builder/completions/CMakeLists.txt ===
add_subdirectory(bash)
add_subdirectory(fish)
add_subdirectory(zsh)
