=== src/tools/builder/completions/bash/CMakeLists.txt ===
install(FILES kdynamicwallpaperbuilder DESTINATION ${KDE_INSTALL_DATADIR}/bash-completion/completions/)
