=== debian/changelog ===
plasma-wallpaper-dynamic (3.3.6-0ubuntu1) hirsute; urgency=medium

  * New upstream release 3.3.6 - Fix handling of embedded color profiles

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 19 Dec 2020 11:27:26 -0800

plasma-wallpaper-dynamic (3.3.5-0ubuntu1) hirsute; urgency=medium

  * New upstream release 3.3.5
    - Memory usage improvements for mutli-monitor setups

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 02 Nov 2020 11:00:54 -0800
