## plasma-wallpaper-dynamic 4.4.0

=== debian/changelog ===
plasma-wallpaper-dynamic (4.4.0-0ubuntu9) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.10.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 20 Jun 2023 15:59:51 +0300

plasma-wallpaper-dynamic (4.4.0-0ubuntu8) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 17 May 2023 00:10:52 +0300

plasma-wallpaper-dynamic (4.4.0-0ubuntu7) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Jan 2023 10:33:09 +0300

plasma-wallpaper-dynamic (4.4.0-0ubuntu6) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 10 Dec 2022 12:51:56 +0300

plasma-wallpaper-dynamic (4.4.0-0ubuntu5) lunar; urgency=medium

  * No-change rebuild against libavif15.

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 21:10:18 +0000

plasma-wallpaper-dynamic (4.4.0-0ubuntu4) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.6.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 17 Sep 2022 17:04:43 +0300

plasma-wallpaper-dynamic (4.4.0-0ubuntu3) kinetic; urgency=medium

  * Fix d/install

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 27 Jun 2022 08:20:17 -0700

plasma-wallpaper-dynamic (4.4.0-0ubuntu2) kinetic; urgency=medium

  * Fix for development library package name
  * Add section: libs to library

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 27 Jun 2022 08:05:25 -0700

plasma-wallpaper-dynamic (4.4.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release 4.4.0
  * Bump standards-version

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 25 Jun 2022 14:12:11 -0700
