## plasma-wallpaper-dynamic 4.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,15 @@
+# SPDX-FileCopyrightText: 2020 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
+#
+# SPDX-License-Identifier: BSD-3-Clause
+
 cmake_minimum_required(VERSION 3.0)
 project(plasma5-wallpapers-dynamic)
 
 set(KF5_MIN_VERSION "5.66.0")
 set(QT_MIN_VERSION "5.12.0")
-set(LIBHEIF_MIN_VERSION "1.3")
 
-set(PROJECT_VERSION "1.0.0")
-set(PROJECT_VERSION_MAJOR 1)
+set(PROJECT_VERSION "4.3.1")
+set(PROJECT_VERSION_MAJOR 4)
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/Modules)
@@ -21,7 +24,7 @@
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 
-set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
@@ -34,7 +37,7 @@
 ecm_find_qmlmodule(org.kde.kcm 1.1)
 ecm_find_qmlmodule(org.kde.kirigami 2.10)
 
-find_package(libheif ${LIBHEIF_MIN_VERSION} REQUIRED)
+find_package(libavif REQUIRED)
 find_package(libexif REQUIRED)
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
