=== data/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

install(DIRECTORY "Dynamic" DESTINATION ${WALLPAPER_INSTALL_DIR})
