=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2020 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
+#
+# SPDX-License-Identifier: BSD-3-Clause
+
 plasma_install_package(package com.github.zzag.dynamic wallpapers wallpaper)
 
 add_subdirectory(declarative)
