=== src/declarative/CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,17 @@
+# SPDX-FileCopyrightText: 2020 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
+#
+# SPDX-License-Identifier: BSD-3-Clause
+
 add_definitions(-DTRANSLATION_DOMAIN=\"plasma_wallpaper_com.github.zzag.dynamic\")
 
-set(FALLBACK_WALLPAPER "Dynamic Numbers")
+set(FALLBACK_WALLPAPER "Dynamic")
 configure_file(config-dynamicwallpaper.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-dynamicwallpaper.h)
 
 set(dynamicwallpaperplugin_SOURCES
     dynamicwallpapercrawler.cpp
-    dynamicwallpaperdescription.cpp
     dynamicwallpaperengine.cpp
+    dynamicwallpaperengine_daynight.cpp
     dynamicwallpaperengine_solar.cpp
-    dynamicwallpaperengine_timed.cpp
     dynamicwallpaperextensionplugin.cpp
     dynamicwallpaperhandler.cpp
     dynamicwallpaperimagehandle.cpp
@@ -29,6 +32,7 @@
     Qt5::Positioning
     Qt5::Qml
     Qt5::Quick
+    Qt5::QuickPrivate
 
     KF5::ConfigCore
     KF5::I18n
