=== src/lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,15 @@
+# SPDX-FileCopyrightText: 2020 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
+#
+# SPDX-License-Identifier: BSD-3-Clause
+
 add_definitions(-DTRANSLATION_DOMAIN=\"plasma_wallpaper_com.github.zzag.dynamic\")
 
 set(dynamicwallpaperlib_SOURCES
+    kdaynightdynamicwallpapermetadata.cpp
     kdynamicwallpapermetadata.cpp
     kdynamicwallpaperreader.cpp
     kdynamicwallpaperwriter.cpp
+    ksolardynamicwallpapermetadata.cpp
     ksunpath.cpp
     ksunposition.cpp
     ksystemclockmonitor.cpp
@@ -19,9 +25,11 @@
 
 ecm_generate_headers(dynamicwallpaperlib_HEADERS
     HEADER_NAMES
+        KDayNightDynamicWallpaperMetaData
         KDynamicWallpaperMetaData
         KDynamicWallpaperReader
         KDynamicWallpaperWriter
+        KSolarDynamicWallpaperMetaData
         KSunPath
         KSunPosition
         KSystemClockMonitor
@@ -58,7 +66,7 @@
     PRIVATE
         Qt5::Xml
         KF5::I18n
-        libheif::libheif
+        avif
 )
 
 set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_LIBDIR}/cmake/KDynamicWallpaper)
