=== src/tools/builder/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,14 @@
+# SPDX-FileCopyrightText: 2020 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
+#
+# SPDX-License-Identifier: BSD-3-Clause
+
 add_definitions(-DTRANSLATION_DOMAIN=\"plasma_wallpaper_com.github.zzag.dynamic\")
 
 add_subdirectory(completions)
 
 set(builder_SOURCES
-    dynamicwallpaperdescriptionreader.cpp
     dynamicwallpaperexifmetadata.cpp
+    dynamicwallpapermanifest.cpp
     main.cpp
 )
