=== src/tools/builder/completions/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(bash)
add_subdirectory(fish)
add_subdirectory(zsh)
