=== src/tools/builder/completions/bash/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

install(FILES kdynamicwallpaperbuilder DESTINATION ${KDE_INSTALL_DATADIR}/bash-completion/completions/)
