=== debian/changelog ===
plasma-wallpaper-dynamic (4.4.1-0ubuntu4) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 04 Apr 2024 00:26:11 +0300

plasma-wallpaper-dynamic (4.4.1-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:14:38 +0000

plasma-wallpaper-dynamic (4.4.1-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:28:49 +0000

plasma-wallpaper-dynamic (4.4.1-0ubuntu1) noble; urgency=medium

  * New upstream version 4.4.1

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 23 Feb 2024 13:37:48 -0800

plasma-wallpaper-dynamic (4.4.0-0ubuntu11) noble; urgency=medium

  * No-change rebuild against Qt 5.15.12.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 29 Dec 2023 00:08:13 +0300

plasma-wallpaper-dynamic (4.4.0-0ubuntu10) noble; urgency=medium

  * Rebuild against new libavif16.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2023 15:11:53 +0200
