=== debian/control ===
Source: plasma-wallpaper-dynamic
Section: kde
Priority: optional
Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               cmake,
               extra-cmake-modules,
               gettext,
               libavif-dev,
               libexif-dev,
               libkf5i18n-dev,
               libkf5package-dev,
               libkf5plasma-dev,
               qml-module-qtpositioning,
               qtbase5-dev,
               qtbase5-private-dev,
               qtdeclarative5-dev,
               qtdeclarative5-private-dev,
               qtpositioning5-dev
Standards-Version: 4.6.1
Homepage: https://github.com/zzag/plasma5-wallpapers-dynamic
Vcs-Git: https://github.com/zzag/plasma5-wallpapers-dynamic
Vcs-Browser: https://github.com/zzag/plasma5-wallpapers-dynamic

Package: plasma-wallpaper-dynamic
Architecture: any
Section: kde
Depends: libkdynamicwallpaper, qml-module-qtpositioning,
         ${misc:Depends}, ${shlibs:Depends}
Description: Dynamic Wallpaper Engine for Plasma
 This package is a wallpaper plugin for KDE Plasma that continuously updates
 the desktop background based on the current time in your location.
 .
 For instructions on creating dynamic wallpaper, visit
 https://github.com/zzag/plasma5-wallpapers-dynamic

Package: libkdynamicwallpaper4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libkdynamicwallpaper
Description: Dynamic Wallpaper Engine for Plasma (shared libraries)
 This package is the shared libraries for the plasma5-wallpapers-dynamic
 package.

Package: libkdynamicwallpaper-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkdynamicwallpaper4 (= ${binary:Version}), ${misc:Depends}
Provides: libkdynamicwallpaper1-dev
Conflicts: libkdynamicwallpaper1-dev
Replaces: libkdynamicwallpaper1-dev
Description: Dynamic Wallpaper Engine for Plasma (development files)
 This package is the development files for the plasma5-wallpapers-dynamic
 shared libraries (libkdynamicwallpaper)
